Bug 131257 - arrow keys not working with FC nightly 0830
arrow keys not working with FC nightly 0830
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ncurses (Show other bugs)
rawhide
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-30 11:39 EDT by Red Hat Bugzilla
Modified: 2008-03-13 15:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-13 10:40:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2004-08-30 11:39:31 EDT
The FC 0830 nightly build on ia64 (observed on Altix) seems to have
problems handling arrow keys.

Other keys work fine.  I noticed this on the "Installation Method"
screen.  

I tried both from a xterm and a gnome terminal (I'm using a 
FC 2 x86_64 box as my workstation).

Jeremy asked me to try launching from an older rh box.  I'll do that
shortly.
Comment 1 Red Hat Bugzilla 2004-08-30 11:46:15 EDT
fyi -if you type the first letter of the option (like H for
Hard Drive or N for NFS) it does work - so that's a quick 
work-around in case others hit this.
Comment 2 Red Hat Bugzilla 2004-08-30 11:47:41 EDT
Almost certainly ncurses/termcap weirdness.
Comment 3 Red Hat Bugzilla 2004-08-30 11:50:08 EDT
I re-displayed an xterm from a RH 9 box to my workstation, and
logged in from there.  The arrow keys also did not work in that
case.
Comment 4 Red Hat Bugzilla 2004-08-30 12:01:05 EDT
The arrow key does "something" in the 'Choose a Language' window.

English is default.  When I up-arrow, it sends me to arabic.  I'm
guessing the screen controls are being detected as letters or
something.
Comment 5 Red Hat Bugzilla 2004-09-07 15:38:51 EDT
This is still an issue in fedora core nightly 0907.
RHEL4 0906 did not have this problem.
Comment 6 Red Hat Bugzilla 2004-09-20 17:21:07 EDT
From the comment regarding up-arrow and Arabic, it sounds
as if the user (who does not mention the terminfo in use)
is perhaps using the Linux console's terminfo entry, which
assumes the cursor keys are already in application mode.
The difference between \E[A and \EOA is enough to make the
escape sequence unrecognized, and give an application an
"A" - which would be recognized as the abbreviation for
"Arabic".
Comment 7 Red Hat Bugzilla 2004-10-13 10:40:45 EDT
FC nightly Oct12 and RHEL4 nightly Oct11 don't seem to suffer from
this any more.  I'm closing this.

Note You need to log in before you can comment on or make changes to this bug.